Groovy 1.7.0

## org.codehaus.groovy.transform.powerassert
Class AssertionTransformation

    java.lang.Object
      org.codehaus.groovy.transform.powerassert.AssertionTransformation

All Implemented Interfaces:
  ASTTransformation

    @GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
    class AssertionTransformation
    extends Object

Entry point for the transformation of assertions. Since this is a global AST transformation, it must be listed in org.codehaus.groovy.transform.ASTTransformation.

author:
  Peter Niederwieser

Constructor Summary
`AssertionTransformation()`

Method Summary
`void` | `visit(ASTNode[] nodes, SourceUnit sourceUnit)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### AssertionTransformation

    AssertionTransformation()

Method Detail

### visit

    public void visit(ASTNode[] nodes, SourceUnit sourceUnit)

Copyright © 2003-2009 The Codehaus. All rights reserved.